#
# spec file for package sces-client (Version 1.0)
#
# Copyright (c) 2010 Novell, Inc.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define service sces-client

Name:           sces-client
License:        CC BY-SA 3.0
Group:          Productivity/Networking/System
Version:        1.0.0
Release:        1
Summary:        Client for SCES
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
# We want a highly compatible package, so gzip the payload
%define _binary_payload w9.gzdio
Requires: 	coreutils sed bash grep util-linux attr gawk
Requires:   curl xen-tools-domU net-tools pmtools openssl
Recommends: perl
%if 0%{suse_version}
Prereq: %insserv_prereq
%endif

%description
This is the client for the SUSE Cloud License Manager



Authors:
--------
    Peter Bowen <pzb@novell.com>


%prep
%setup

%build
make

%install
%makeinstall
%if 0%{suse_version}
mkdir -p "$RPM_BUILD_ROOT%{_sbindir}"
ln -sf /etc/init.d/%{service} $RPM_BUILD_ROOT%{_sbindir}/rc%{service}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if 0%{suse_version}
%{insserv_force_if_yast %{service}}
%else
/sbin/chkconfig --add %{service}
%endif

%preun
%if 0%{suse_version}
%stop_on_removal
%endif

%postun
%if 0%{suse_version}
%insserv_cleanup
%endif

%files
%defattr(-,root,root)
%doc LICENSE
%dir %{_sysconfdir}/sces
%config %{_sysconfdir}/sces/*
%{_initrddir}/*
%{_sbindir}/*
%if 0%{suse_version}
%else
%config(noreplace) %{_sysconfdir}/sysconfig/%{service}
%endif

%changelog
